Subject: Re: [PATCH v2 2/8] status: cleanup API to wt_status_print

From: Junio C Hamano <[email-masked]>
Date: Mon, 25 Jul 2016 13:05:49 -0700

Jeff Hostetler <[email-masked]> writes:

> Refactor the API between builtin/commit.c and wt-status.[ch].
> Hide details of the various wt_*status_print() routines inside
> wt-status.c behind a single (new) wt_status_print() routine
> and eliminate the switch statements from builtin/commit.c
>
> This will allow us to more easily add new status formats
> and isolate that within wt-status.c
>
> Signed-off-by: Jeff Hostetler <[email-masked]>
> ---

The division of labour between wt-status.c and cmd_status() that was
originally envisioned was to have status computation in the former
and presentation in the latter, but that was broken and more output
is made from the latter these days, so I think it may make sense to
admit that the original vision did not work out well, and this step
is a good move forward to shift the boundary.